<?php
if (!defined("IN_LINEAGE2")) { header("Location: ../../../index.php"); exit; }
class Lineage2NBAR {
	var $mopen = false;
	var $sopen = false;
	var $constucted = false;
	var $locked = false;
	var $content = '';
	var $temp = '';

	function construct() {
		if ($this->constucted) 
			return;
				
		$this->content = "<div id='navBar'><div id='navBarOverlay'><ul id='menu'>";
		$this->constucted = true;
	}
	
	function newlink() {
		if ($this->locked) 
			return;
			
		$numargs = func_num_args();
		if ($numargs < 2)
			return;
			
		$name = func_get_arg(0);
		$title = ($numargs > 2 ? func_get_arg(1) : false);
		$url = ($numargs > 2 ? func_get_arg(2) : func_get_arg(1));
		
		if (preg_match('#(http://|ftp://|https://|ftps://|irc://)#si', $url))
			$url = " href='".$url."' target='_blank'";
		else
			$url = " href='".BASEDIR.$url."'";

		if (($this->mopen) && ($this->sopen)) { 
			$this->content .= $this->temp."</ul></li>";
		}
		$this->mopen = false;
		$this->sopen = false;		
			
		if (!$this->constucted)
			$this->construct();

		$this->content .= "<li class='link'><a onmousedown='return false;' ".$url.($title ? " title='".$title."'" : "").">".$name."</a></li>";
	}
	
	function newmenu() {
		if ($this->locked) 
			return;
			
		$numargs = func_num_args();
		if ($numargs < 1)
			return;
			
		$name = func_get_arg(0);
		$title = ($numargs > 1 ? func_get_arg(1) : false);
		
		if (!$this->constucted)
			$this->construct();
			
		if (($this->mopen) && ($this->sopen)) { 
			$this->content .= $this->temp."</ul></li>";
			$this->mopen = false;
			$this->sopen = false;		
		}
		
		$this->mopen = true;
		$this->temp = "<li class='menu'><p".($title ? " title='".$title."'" : "").">".$name."</p><ul class='submenu'>";
	}
	
	function submenu() {
		if (($this->locked) || (!$this->mopen))
			return;

		$numargs = func_num_args();
		if ($numargs < 3)
			return;
			
		$name = func_get_arg(0);
		$title = ($numargs > 3 ? func_get_arg(1) : false);
		$url = ($numargs > 3 ? func_get_arg(2) : func_get_arg(1));
		$divider = ($numargs > 3 ? func_get_arg(3) : func_get_arg(2));

		if (preg_match('#(http://|ftp://|https://|ftps://|irc://)#si', $url))
			$url = " href='".$url."' target='_blank'";
		else
			$url = " href='".BASEDIR.$url."'";
					
		if (($divider != 1) && ($divider != 0))
			$divider = 0;
		
		$this->sopen = true;
		$this->temp .= "<li><a onmousedown='return false;'".($divider == 1 ? " class='divider'" : "")."".$url."".($title ? " title='".$title."'" : "").">".$name."</a></li>";
	}
	
	function generate() {
		if (($this->locked) || (!$this->constucted)) 
			return;
		
		if (($this->mopen) && ($this->sopen)) { 
			$this->content .= $this->temp."</ul></li>";
		}
					
		echo $this->content."</ul><div id='clearmenu'></div></div></div>\n";
		$this->locked = true;
	}
}

$rtNavbar = new Lineage2NBAR();
?>